|  | Home · All Classes · Modules

# QGraphicsView.CacheMode Class Reference
[QtGui module]

### Methods

- __init__ (self)
- __init__ (self, int f)
- __init__ (self, CacheMode)

### Special Methods

- CacheMode __and__ (self, int f)
- int __bool__ (self)
- bool __eq__ (self, CacheMode f)
- CacheMode __iand__ (self, int f)
- int __int__ (self)
- CacheMode __invert__ (self)
- CacheMode __ior__ (self, int f)
- CacheMode __ixor__ (self, int f)
- bool __ne__ (self, CacheMode f)
- CacheMode __or__ (self, int f)
- CacheMode __xor__ (self, int f)

## Detailed Description

CacheModeFlag may be used whenever CacheMode is expected.

## Method Documentation

### CacheMode.__init__ (self)

### CacheMode.__init__ (self, int f)

### CacheMode.__init__ (self, CacheMode)

### CacheMode CacheMode.__and__ (self, int f)

### int CacheMode.__bool__ (self)

### bool CacheMode.__eq__ (self, CacheMode f)

### CacheMode CacheMode.__iand__ (self, int f)

### int CacheMode.__int__ (self)

### CacheMode CacheMode.__invert__ (self)

### CacheMode CacheMode.__ior__ (self, int f)

### CacheMode CacheMode.__ixor__ (self, int f)

### bool CacheMode.__ne__ (self, CacheMode f)

### CacheMode CacheMode.__or__ (self, int f)

### CacheMode CacheMode.__xor__ (self, int f)